JxtaTransportChannel (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.jxta.JxtaTransportChannel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.jxta
Class JxtaTransportChannel

    java.lang.Object
      org.codehaus.activemq.transport.TransportChannelSupport
          org.codehaus.activemq.transport.tcp.TcpTransportChannel
              org.codehaus.activemq.transport.jxta.JxtaTransportChannel

All Implemented Interfaces:
  Runnable, Service, TransportChannel

public class JxtaTransportChannel
extends TcpTransportChannel

A JXTA implementation of a TransportChannel

Version:
  $Revision: 1.5 $

Field Summary

Fields inherited from class org.codehaus.activemq.transport.tcp.TcpTransportChannel
`socket`

Fields inherited from class org.codehaus.activemq.transport.TransportChannelSupport
`pendingStop, transportConnected`

Constructor Summary
`JxtaTransportChannel(WireFormat wireFormat, URI remoteLocation)` Connect to a remote Node - e.g.
`JxtaTransportChannel(WireFormat wireFormat, URI remoteLocation, URI localLocation)` Connect to a remote Node - e.g.

Method Summary
`protected Socket` | `createSocket(URI remoteLocation)` Factory method to create a new socket
`protected Socket` | `createSocket(URI remoteLocation, URI localLocation)` Factory method to create a new socket
`String` | `toString()` pretty print for object

Methods inherited from class org.codehaus.activemq.transport.tcp.TcpTransportChannel
`asyncSend, canProcessWireFormatVersion, doAsyncSend, getCurrentWireFormatVersion, getSocket, getSoTimeout, initialiseSocket, isChangeTimeout, isMulticast, isUseAsyncSend, run, setChangeTimeout, setSoTimeout, setUseAsyncSend, start, stop`

Methods inherited from class org.codehaus.activemq.transport.TransportChannelSupport
`addTransportStatusEventListener, doConsumePacket, doConsumePacket, doHandleReceipt, doHandleWireFormat, fireStatusEvent, fireStatusEvent, getClientID, getExceptionListener, getPacketListener, getTransportChannelListener, isPendingStop, isServerSide, isTransportConnected, onAsyncException, removeTransportStatusEventListener, send, send, setClientID, setExceptionListener, setPacketListener, setPendingStop, setServerSide, setTransportChannelListener, setTransportConnected, stopExecutor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JxtaTransportChannel

    public JxtaTransportChannel(WireFormat wireFormat,
                                URI remoteLocation)
                         throws JMSException

  Connect to a remote Node - e.g. a Broker

Parameters:
  `remoteLocation` -
Throws:
  `JMSException`

### JxtaTransportChannel

    public JxtaTransportChannel(WireFormat wireFormat,
                                URI remoteLocation,
                                URI localLocation)
                         throws JMSException

  Connect to a remote Node - e.g. a Broker

Parameters:
  `remoteLocation` -
  `localLocation` - - e.g. local InetAddress and local port
Throws:
  `JMSException`

Method Detail

### toString

    public String toString()

  pretty print for object

  Overrides:
    `toString` in class `TcpTransportChannel`
  Returns:
    String representation of this object

### createSocket

    protected Socket createSocket(URI remoteLocation)
                           throws UnknownHostException,
                                  IOException

  Description copied from class: `TcpTransportChannel`
  Factory method to create a new socket

  Overrides:
    `createSocket` in class `TcpTransportChannel`
  Parameters:
    `remoteLocation` - the URI to connect to
  Returns:
    the newly created socket
  Throws:
    `IOException`
    `UnknownHostException`

### createSocket

    protected Socket createSocket(URI remoteLocation,
                                  URI localLocation)
                           throws IOException,
                                  UnknownHostException

  Description copied from class: `TcpTransportChannel`
  Factory method to create a new socket

  Overrides:
    `createSocket` in class `TcpTransportChannel`
  Parameters:
    `remoteLocation` -
    `localLocation` -
  Returns:
    @throws IOException
  Throws:
    `UnknownHostException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.